# Yahoo! UI Library

### test 3.3.0

Yahoo! UI Library > test > Assert.UnexpectedError
Search:
Filters Show Private Show Protected Show Deprecated

## Class Assert.UnexpectedError - extends Assert.Error

UnexpectedError is subclass of Error that is thrown whenever an error occurs within the course of a test and the test was not expected to throw an error.

### Constructor

Assert.UnexpectedError `( cause )`

Parameters:
  `cause <Error>` The unexpected error that caused this error to be thrown.

### Properties

#### cause - `Error`

The unexpected error that occurred.

#### name - `String`

The name of the error that occurred.

#### stack - `String`

Stack information for the error (if provided).

#### Properties inherited from Assert.Error:

`name`

#### Methods inherited from Assert.Error:

`getMessage, toString, valueOf`

Copyright © 2011 Yahoo! Inc. All rights reserved.